Subject: Re: [PATCH] ath10k: snoc: enable threaded napi on WCN3990

From: Kalle Valo <[email-masked]>
Date: Thu, 12 Jan 2023 12:15:42 +0200

Abhishek Kumar <[email-masked]> writes:

>> > --- a/drivers/net/wireless/ath/ath10k/snoc.c
>> > +++ b/drivers/net/wireless/ath/ath10k/snoc.c
>> > @@ -927,6 +927,9 @@ static int ath10k_snoc_hif_start(struct ath10k *ar)
>> >
>> >       bitmap_clear(ar_snoc->pending_ce_irqs, 0, CE_COUNT_MAX);
>> >
>> > +     if (ar->hw_params.enable_threaded_napi)
>> > +             dev_set_threaded(&ar->napi_dev, true);
>> > +
>>
>> Since this is done in the API specific to WCN3990, we do not need
>> hw_param for this.
>
> Just so that I am clear, are you suggesting to enable this by default
> in snoc.c, similar to what you did in
>
> https://lore.kernel.org/all/[email-masked]/
>
> If my understanding is correct and there is no objection, I can remove
> hw_param and enable it by default on snoc.c . I used hw_param because,
> as I see it, threaded NAPI can have some adverse effect on the cache
> utilization and power.

WCN3990 is the only device using SNOC bus so the hw_param is not needed.
It's safe to call dev_set_threaded() in ath10k_snoc_hif_start()
unconditionally as it only affects WCN3990.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches